<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>kgraphinterface.kdevelop: kgraphinterface/config.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.7 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li id="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul></div>
<div class="nav">
<a class="el" href="dir_13bf8767770a07be1dadcd74264f09a2.html">kgraphinterface</a></div>
<h1>config.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* config.h.  Generated by configure.  */</span>
<a name="l00002"></a>00002 <span class="comment">/* config.h.in.  Generated from configure.in by autoheader.  */</span>
<a name="l00003"></a>00003 
<a name="l00004"></a>00004 <span class="comment">/* Define to 1 if you have the &lt;Carbon/Carbon.h&gt; header file. */</span>
<a name="l00005"></a>00005 <span class="comment">/* #undef HAVE_CARBON_CARBON_H */</span>
<a name="l00006"></a>00006 
<a name="l00007"></a>00007 <span class="comment">/* Define if you have the CoreAudio API */</span>
<a name="l00008"></a>00008 <span class="comment">/* #undef HAVE_COREAUDIO */</span>
<a name="l00009"></a>00009 
<a name="l00010"></a>00010 <span class="comment">/* Define to 1 if you have the &lt;crt_externs.h&gt; header file. */</span>
<a name="l00011"></a>00011 <span class="comment">/* #undef HAVE_CRT_EXTERNS_H */</span>
<a name="l00012"></a>00012 
<a name="l00013"></a>00013 <span class="comment">/* Defines if your system has the crypt function */</span>
<a name="l00014"></a>00014 <span class="preprocessor">#define HAVE_CRYPT 1</span>
<a name="l00015"></a>00015 <span class="preprocessor"></span>
<a name="l00016"></a>00016 <span class="comment">/* Define to 1 if you have the &lt;dlfcn.h&gt; header file. */</span>
<a name="l00017"></a>00017 <span class="preprocessor">#define HAVE_DLFCN_H 1</span>
<a name="l00018"></a>00018 <span class="preprocessor"></span>
<a name="l00019"></a>00019 <span class="comment">/* Define to 1 if you have the &lt;inttypes.h&gt; header file. */</span>
<a name="l00020"></a>00020 <span class="preprocessor">#define HAVE_INTTYPES_H 1</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span>
<a name="l00022"></a>00022 <span class="comment">/* Define if you have libjpeg */</span>
<a name="l00023"></a>00023 <span class="preprocessor">#define HAVE_LIBJPEG 1</span>
<a name="l00024"></a>00024 <span class="preprocessor"></span>
<a name="l00025"></a>00025 <span class="comment">/* Define if you have libpng */</span>
<a name="l00026"></a>00026 <span class="preprocessor">#define HAVE_LIBPNG 1</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span>
<a name="l00028"></a>00028 <span class="comment">/* Define if you have a working libpthread (will enable threaded code) */</span>
<a name="l00029"></a>00029 <span class="preprocessor">#define HAVE_LIBPTHREAD 1</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="comment">/* Define if you have libz */</span>
<a name="l00032"></a>00032 <span class="preprocessor">#define HAVE_LIBZ 1</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 <span class="comment">/* Define to 1 if you have the &lt;memory.h&gt; header file. */</span>
<a name="l00035"></a>00035 <span class="preprocessor">#define HAVE_MEMORY_H 1</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span>
<a name="l00037"></a>00037 <span class="comment">/* Define if your system needs _NSGetEnviron to set up the environment */</span>
<a name="l00038"></a>00038 <span class="comment">/* #undef HAVE_NSGETENVIRON */</span>
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="comment">/* Define if you have res_init */</span>
<a name="l00041"></a>00041 <span class="preprocessor">#define HAVE_RES_INIT 1</span>
<a name="l00042"></a>00042 <span class="preprocessor"></span>
<a name="l00043"></a>00043 <span class="comment">/* Define if you have the res_init prototype */</span>
<a name="l00044"></a>00044 <span class="preprocessor">#define HAVE_RES_INIT_PROTO 1</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span>
<a name="l00046"></a>00046 <span class="comment">/* Define if you have a STL implementation by SGI */</span>
<a name="l00047"></a>00047 <span class="preprocessor">#define HAVE_SGI_STL 1</span>
<a name="l00048"></a>00048 <span class="preprocessor"></span>
<a name="l00049"></a>00049 <span class="comment">/* Define to 1 if you have the `snprintf' function. */</span>
<a name="l00050"></a>00050 <span class="preprocessor">#define HAVE_SNPRINTF 1</span>
<a name="l00051"></a>00051 <span class="preprocessor"></span>
<a name="l00052"></a>00052 <span class="comment">/* Define to 1 if you have the &lt;stdint.h&gt; header file. */</span>
<a name="l00053"></a>00053 <span class="preprocessor">#define HAVE_STDINT_H 1</span>
<a name="l00054"></a>00054 <span class="preprocessor"></span>
<a name="l00055"></a>00055 <span class="comment">/* Define to 1 if you have the &lt;stdlib.h&gt; header file. */</span>
<a name="l00056"></a>00056 <span class="preprocessor">#define HAVE_STDLIB_H 1</span>
<a name="l00057"></a>00057 <span class="preprocessor"></span>
<a name="l00058"></a>00058 <span class="comment">/* Define to 1 if you have the &lt;strings.h&gt; header file. */</span>
<a name="l00059"></a>00059 <span class="preprocessor">#define HAVE_STRINGS_H 1</span>
<a name="l00060"></a>00060 <span class="preprocessor"></span>
<a name="l00061"></a>00061 <span class="comment">/* Define to 1 if you have the &lt;string.h&gt; header file. */</span>
<a name="l00062"></a>00062 <span class="preprocessor">#define HAVE_STRING_H 1</span>
<a name="l00063"></a>00063 <span class="preprocessor"></span>
<a name="l00064"></a>00064 <span class="comment">/* Define if you have strlcat */</span>
<a name="l00065"></a>00065 <span class="comment">/* #undef HAVE_STRLCAT */</span>
<a name="l00066"></a>00066 
<a name="l00067"></a>00067 <span class="comment">/* Define if you have the strlcat prototype */</span>
<a name="l00068"></a>00068 <span class="comment">/* #undef HAVE_STRLCAT_PROTO */</span>
<a name="l00069"></a>00069 
<a name="l00070"></a>00070 <span class="comment">/* Define if you have strlcpy */</span>
<a name="l00071"></a>00071 <span class="comment">/* #undef HAVE_STRLCPY */</span>
<a name="l00072"></a>00072 
<a name="l00073"></a>00073 <span class="comment">/* Define if you have the strlcpy prototype */</span>
<a name="l00074"></a>00074 <span class="comment">/* #undef HAVE_STRLCPY_PROTO */</span>
<a name="l00075"></a>00075 
<a name="l00076"></a>00076 <span class="comment">/* Define to 1 if you have the &lt;sys/bitypes.h&gt; header file. */</span>
<a name="l00077"></a>00077 <span class="preprocessor">#define HAVE_SYS_BITYPES_H 1</span>
<a name="l00078"></a>00078 <span class="preprocessor"></span>
<a name="l00079"></a>00079 <span class="comment">/* Define to 1 if you have the &lt;sys/stat.h&gt; header file. */</span>
<a name="l00080"></a>00080 <span class="preprocessor">#define HAVE_SYS_STAT_H 1</span>
<a name="l00081"></a>00081 <span class="preprocessor"></span>
<a name="l00082"></a>00082 <span class="comment">/* Define to 1 if you have the &lt;sys/types.h&gt; header file. */</span>
<a name="l00083"></a>00083 <span class="preprocessor">#define HAVE_SYS_TYPES_H 1</span>
<a name="l00084"></a>00084 <span class="preprocessor"></span>
<a name="l00085"></a>00085 <span class="comment">/* Define to 1 if you have the &lt;unistd.h&gt; header file. */</span>
<a name="l00086"></a>00086 <span class="preprocessor">#define HAVE_UNISTD_H 1</span>
<a name="l00087"></a>00087 <span class="preprocessor"></span>
<a name="l00088"></a>00088 <span class="comment">/* Define to 1 if you have the `vsnprintf' function. */</span>
<a name="l00089"></a>00089 <span class="preprocessor">#define HAVE_VSNPRINTF 1</span>
<a name="l00090"></a>00090 <span class="preprocessor"></span>
<a name="l00091"></a>00091 <span class="comment">/* Suffix for lib directories */</span>
<a name="l00092"></a>00092 <span class="preprocessor">#define KDELIBSUFF ""</span>
<a name="l00093"></a>00093 <span class="preprocessor"></span>
<a name="l00094"></a>00094 <span class="comment">/* Define a safe value for MAXPATHLEN */</span>
<a name="l00095"></a>00095 <span class="preprocessor">#define KDEMAXPATHLEN 4096</span>
<a name="l00096"></a>00096 <span class="preprocessor"></span>
<a name="l00097"></a>00097 <span class="comment">/* Name of package */</span>
<a name="l00098"></a>00098 <span class="preprocessor">#define PACKAGE "kgraphinterface"</span>
<a name="l00099"></a>00099 <span class="preprocessor"></span>
<a name="l00100"></a>00100 <span class="comment">/* Define to the address where bug reports for this package should be sent. */</span>
<a name="l00101"></a>00101 <span class="preprocessor">#define PACKAGE_BUGREPORT ""</span>
<a name="l00102"></a>00102 <span class="preprocessor"></span>
<a name="l00103"></a>00103 <span class="comment">/* Define to the full name of this package. */</span>
<a name="l00104"></a>00104 <span class="preprocessor">#define PACKAGE_NAME ""</span>
<a name="l00105"></a>00105 <span class="preprocessor"></span>
<a name="l00106"></a>00106 <span class="comment">/* Define to the full name and version of this package. */</span>
<a name="l00107"></a>00107 <span class="preprocessor">#define PACKAGE_STRING ""</span>
<a name="l00108"></a>00108 <span class="preprocessor"></span>
<a name="l00109"></a>00109 <span class="comment">/* Define to the one symbol short name of this package. */</span>
<a name="l00110"></a>00110 <span class="preprocessor">#define PACKAGE_TARNAME ""</span>
<a name="l00111"></a>00111 <span class="preprocessor"></span>
<a name="l00112"></a>00112 <span class="comment">/* Define to the version of this package. */</span>
<a name="l00113"></a>00113 <span class="preprocessor">#define PACKAGE_VERSION ""</span>
<a name="l00114"></a>00114 <span class="preprocessor"></span>
<a name="l00115"></a>00115 <span class="comment">/* The size of a `char *', as computed by sizeof. */</span>
<a name="l00116"></a>00116 <span class="preprocessor">#define SIZEOF_CHAR_P 4</span>
<a name="l00117"></a>00117 <span class="preprocessor"></span>
<a name="l00118"></a>00118 <span class="comment">/* The size of a `int', as computed by sizeof. */</span>
<a name="l00119"></a>00119 <span class="preprocessor">#define SIZEOF_INT 4</span>
<a name="l00120"></a>00120 <span class="preprocessor"></span>
<a name="l00121"></a>00121 <span class="comment">/* The size of a `long', as computed by sizeof. */</span>
<a name="l00122"></a>00122 <span class="preprocessor">#define SIZEOF_LONG 4</span>
<a name="l00123"></a>00123 <span class="preprocessor"></span>
<a name="l00124"></a>00124 <span class="comment">/* The size of a `short', as computed by sizeof. */</span>
<a name="l00125"></a>00125 <span class="preprocessor">#define SIZEOF_SHORT 2</span>
<a name="l00126"></a>00126 <span class="preprocessor"></span>
<a name="l00127"></a>00127 <span class="comment">/* The size of a `size_t', as computed by sizeof. */</span>
<a name="l00128"></a>00128 <span class="preprocessor">#define SIZEOF_SIZE_T 4</span>
<a name="l00129"></a>00129 <span class="preprocessor"></span>
<a name="l00130"></a>00130 <span class="comment">/* The size of a `unsigned long', as computed by sizeof. */</span>
<a name="l00131"></a>00131 <span class="preprocessor">#define SIZEOF_UNSIGNED_LONG 4</span>
<a name="l00132"></a>00132 <span class="preprocessor"></span>
<a name="l00133"></a>00133 <span class="comment">/* Define to 1 if you have the ANSI C header files. */</span>
<a name="l00134"></a>00134 <span class="preprocessor">#define STDC_HEADERS 1</span>
<a name="l00135"></a>00135 <span class="preprocessor"></span>
<a name="l00136"></a>00136 <span class="comment">/* Version number of package */</span>
<a name="l00137"></a>00137 <span class="preprocessor">#define VERSION "0.1"</span>
<a name="l00138"></a>00138 <span class="preprocessor"></span>
<a name="l00139"></a>00139 <span class="comment">/* Defined if compiling without arts */</span>
<a name="l00140"></a>00140 <span class="comment">/* #undef WITHOUT_ARTS */</span>
<a name="l00141"></a>00141 
<a name="l00142"></a>00142 <span class="comment">/* Define to 1 if your processor stores words with the most significant byte</span>
<a name="l00143"></a>00143 <span class="comment">   first (like Motorola and SPARC, unlike Intel and VAX). */</span>
<a name="l00144"></a>00144 <span class="comment">/* #undef WORDS_BIGENDIAN */</span>
<a name="l00145"></a>00145 
<a name="l00146"></a>00146 <span class="comment">/*</span>
<a name="l00147"></a>00147 <span class="comment"> * jpeg.h needs HAVE_BOOLEAN, when the system uses boolean in system</span>
<a name="l00148"></a>00148 <span class="comment"> * headers and I'm too lazy to write a configure test as long as only</span>
<a name="l00149"></a>00149 <span class="comment"> * unixware is related</span>
<a name="l00150"></a>00150 <span class="comment"> */</span>
<a name="l00151"></a>00151 <span class="preprocessor">#ifdef _UNIXWARE</span>
<a name="l00152"></a>00152 <span class="preprocessor"></span><span class="preprocessor">#define HAVE_BOOLEAN</span>
<a name="l00153"></a>00153 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00154"></a>00154 <span class="preprocessor"></span>
<a name="l00155"></a>00155 
<a name="l00156"></a>00156 
<a name="l00157"></a>00157 <span class="comment">/*</span>
<a name="l00158"></a>00158 <span class="comment"> * AIX defines FD_SET in terms of bzero, but fails to include &lt;strings.h&gt;</span>
<a name="l00159"></a>00159 <span class="comment"> * that defines bzero.</span>
<a name="l00160"></a>00160 <span class="comment"> */</span>
<a name="l00161"></a>00161 
<a name="l00162"></a>00162 <span class="preprocessor">#if defined(_AIX)</span>
<a name="l00163"></a>00163 <span class="preprocessor"></span><span class="preprocessor">#include &lt;strings.h&gt;</span>
<a name="l00164"></a>00164 <span class="preprocessor">#endif</span>
<a name="l00165"></a>00165 <span class="preprocessor"></span>
<a name="l00166"></a>00166 
<a name="l00167"></a>00167 
<a name="l00168"></a>00168 <span class="preprocessor">#if defined(HAVE_NSGETENVIRON) &amp;&amp; defined(HAVE_CRT_EXTERNS_H)</span>
<a name="l00169"></a>00169 <span class="preprocessor"></span><span class="preprocessor"># include &lt;sys/time.h&gt;</span>
<a name="l00170"></a>00170 <span class="preprocessor"># include &lt;crt_externs.h&gt;</span>
<a name="l00171"></a>00171 <span class="preprocessor"># define environ (*_NSGetEnviron())</span>
<a name="l00172"></a>00172 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00173"></a>00173 <span class="preprocessor"></span>
<a name="l00174"></a>00174 
<a name="l00175"></a>00175 
<a name="l00176"></a>00176 <span class="preprocessor">#if !defined(HAVE_RES_INIT_PROTO)</span>
<a name="l00177"></a>00177 <span class="preprocessor"></span><span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00178"></a>00178 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00179"></a>00179 <span class="preprocessor">#endif</span>
<a name="l00180"></a>00180 <span class="preprocessor"></span><span class="keywordtype">int</span> res_init(<span class="keywordtype">void</span>);
<a name="l00181"></a>00181 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00182"></a>00182 <span class="preprocessor"></span>}
<a name="l00183"></a>00183 <span class="preprocessor">#endif</span>
<a name="l00184"></a>00184 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00185"></a>00185 <span class="preprocessor"></span>
<a name="l00186"></a>00186 
<a name="l00187"></a>00187 
<a name="l00188"></a>00188 <span class="preprocessor">#if !defined(HAVE_STRLCAT_PROTO)</span>
<a name="l00189"></a>00189 <span class="preprocessor"></span><span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00190"></a>00190 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00191"></a>00191 <span class="preprocessor">#endif</span>
<a name="l00192"></a>00192 <span class="preprocessor"></span><span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> strlcat(<span class="keywordtype">char</span>*, <span class="keyword">const</span> <span class="keywordtype">char</span>*, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>);
<a name="l00193"></a>00193 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00194"></a>00194 <span class="preprocessor"></span>}
<a name="l00195"></a>00195 <span class="preprocessor">#endif</span>
<a name="l00196"></a>00196 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00197"></a>00197 <span class="preprocessor"></span>
<a name="l00198"></a>00198 
<a name="l00199"></a>00199 
<a name="l00200"></a>00200 <span class="preprocessor">#if !defined(HAVE_STRLCPY_PROTO)</span>
<a name="l00201"></a>00201 <span class="preprocessor"></span><span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00202"></a>00202 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00203"></a>00203 <span class="preprocessor">#endif</span>
<a name="l00204"></a>00204 <span class="preprocessor"></span><span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> strlcpy(<span class="keywordtype">char</span>*, <span class="keyword">const</span> <span class="keywordtype">char</span>*, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>);
<a name="l00205"></a>00205 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00206"></a>00206 <span class="preprocessor"></span>}
<a name="l00207"></a>00207 <span class="preprocessor">#endif</span>
<a name="l00208"></a>00208 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00209"></a>00209 <span class="preprocessor"></span>
<a name="l00210"></a>00210 
<a name="l00211"></a>00211 
<a name="l00212"></a>00212 <span class="comment">/*</span>
<a name="l00213"></a>00213 <span class="comment"> * On HP-UX, the declaration of vsnprintf() is needed every time !</span>
<a name="l00214"></a>00214 <span class="comment"> */</span>
<a name="l00215"></a>00215 
<a name="l00216"></a>00216 <span class="preprocessor">#if !defined(HAVE_VSNPRINTF) || defined(hpux)</span>
<a name="l00217"></a>00217 <span class="preprocessor"></span><span class="preprocessor">#if __STDC__</span>
<a name="l00218"></a>00218 <span class="preprocessor"></span><span class="preprocessor">#include &lt;stdarg.h&gt;</span>
<a name="l00219"></a>00219 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
<a name="l00220"></a>00220 <span class="preprocessor">#else</span>
<a name="l00221"></a>00221 <span class="preprocessor"></span><span class="preprocessor">#include &lt;varargs.h&gt;</span>
<a name="l00222"></a>00222 <span class="preprocessor">#endif</span>
<a name="l00223"></a>00223 <span class="preprocessor"></span><span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00224"></a>00224 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span>
<a name="l00225"></a>00225 <span class="preprocessor">#endif</span>
<a name="l00226"></a>00226 <span class="preprocessor"></span><span class="keywordtype">int</span> vsnprintf(<span class="keywordtype">char</span> *str, size_t n, <span class="keywordtype">char</span> <span class="keyword">const</span> *fmt, va_list ap);
<a name="l00227"></a>00227 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00228"></a>00228 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span>
<a name="l00229"></a>00229 <span class="preprocessor">#endif</span>
<a name="l00230"></a>00230 <span class="preprocessor"></span><span class="keywordtype">int</span> snprintf(<span class="keywordtype">char</span> *str, size_t n, <span class="keywordtype">char</span> <span class="keyword">const</span> *fmt, ...);
<a name="l00231"></a>00231 <span class="preprocessor">#endif</span>
<a name="l00232"></a>00232 <span class="preprocessor"></span>
<a name="l00233"></a>00233 
<a name="l00234"></a>00234 
<a name="l00235"></a>00235 <span class="preprocessor">#if defined(__SVR4) &amp;&amp; !defined(__svr4__)</span>
<a name="l00236"></a>00236 <span class="preprocessor"></span><span class="preprocessor">#define __svr4__ 1</span>
<a name="l00237"></a>00237 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00238"></a>00238 <span class="preprocessor"></span>
<a name="l00239"></a>00239 
<a name="l00240"></a>00240 <span class="comment">/* type to use in place of socklen_t if not defined */</span>
<a name="l00241"></a>00241 <span class="preprocessor">#define kde_socklen_t socklen_t</span>
<a name="l00242"></a>00242 <span class="preprocessor"></span>
<a name="l00243"></a>00243 <span class="comment">/* type to use in place of socklen_t if not defined (deprecated, use</span>
<a name="l00244"></a>00244 <span class="comment">   kde_socklen_t) */</span>
<a name="l00245"></a>00245 <span class="preprocessor">#define ksize_t socklen_t</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Sun Jun 10 14:17:38 2007 for kgraphinterface.kdevelop by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.7 </small></address>
</body>
</html>
